@import url('./fonts.css');
@import url('./reset.css');
@import url('./common.css');

.header{
    width: 100%;
    position: fixed;
    top: 0; left: 0;
    z-index: 1;
    border-bottom: 1px solid rgba(255, 255, 255, 0.2);
    transition: 0.5s;
    box-sizing: border-box;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.header.on{
    border-bottom: 1px solid rgba(0, 0, 0, 0.06);

}
.header.on .logo a{
    filter: invert(1);
}
.header.on .gnb .gnb-list li a {
    color: #000;
}
.header.on .util-area{
    border-left: 1px solid rgba(0, 0, 0, 0.06);
}
.header.on .util-area span{
    color: #000;
}
.header.fix{
    background: #fff;
}
.header.fix .logo a{
    filter: invert(1);
}
.header.fix .gnb .gnb-list li a {
    color: #000;
}
.header.fix .util-area{
    border-left: 1px solid rgba(0, 0, 0, 0.06);
}
.header.fix .util-area span{
    color: #000;
}
.header .group-header{
    display: flex;
} 
.header .logo{
    position: relative;
    padding: 32px 50px;
}
.header .gnb .gnb-list{
    display: flex;
    margin-right: 15px;
}
.header .gnb .gnb-list li{
    position: relative;
    box-sizing: border-box;
}
.header .gnb .gnb-list li a{ 
    display: block;
    font-size: 18px;
    font-weight: 600;
    color: #fff;
    padding: 40px 42.5px;
    transition: 0.5s;
    box-sizing: border-box;
}
.header .gnb .gnb-list li:hover .sub{
    visibility: visible;
    opacity: 1;
}
.header .gnb .gnb-list li:hover .sub::before {
    visibility: visible;
    transform: scaleY(1);
}
.header .gnb .gnb-list .sub{
    width: 100%;
    height: max-content;
    position: absolute;
    top: calc(100% - 20px);
    z-index: 10;
    padding: 22.5px 0;
    opacity: 0;
    visibility: hidden;
    transition: 0.5s;
}
.header .gnb .gnb-list .sub::before{
    content: "";
    width: 100%;
    height: 100%;
    background: #fff;
    box-shadow: 0px 0px 20px 0px rgba(0, 0, 0, 0.15);
    transform: scaleY(0);
    transform-origin: top;
    visibility: hidden;
    transition: 0.5s;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
}
.header .gnb .gnb-list .sub li a{
    display:block;
    width: 100%;
    font-weight: 400;
    color: #555;
    padding: 7.5px;
    font-size: 16px;
    letter-spacing: -0.02em;
    text-align: center;
}
.header .util-area{
    width: 195px;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    border-left: 1px solid rgba(255, 255, 255, 0.2);
    transition: 0.5s;
}
.header .util-area span{
    color: #fff;
}
.header .util-area span::after{
    content: "\e980";
    font-family: 'xeicon';
    margin-left: 10px;
}
.header .btn-open{
    display: none;
}
.header .side-menu{
    display: none;
}
/* footer */
.footer{
    background: #000;
    padding: 50px 0;
    position: relative;
    color: #fff;
}
.footer .footer-inner{
    max-width: 1730px;
    width: 100%;
    margin: 0 auto;
}
.footer .footer-flex{
    display: flex;
    margin-top: 70px;
}
.footer .footertext{
    width: 50%;
    padding-right: 50px;
}
.footer .footertext .text{
    display: flex;
    flex-wrap: wrap;
    gap: 15px 20px;
}
.footer .footertext .text + .text{
    margin-top: 15px;
}
.footer .footertext .text span{
    font: size 16px;
    font-weight: 400;
    color: rgba(255, 255, 255, 0.4);
    letter-spacing: -0.02em;
    padding-right: 20px;
    position: relative;
}
.footer .footertext .text span + span:before{
    content: "";
    width: 1px;
    height: 12px;
    background: rgba(255, 255, 255, 0.4);
    position: absolute;
    top: 46%;
    left: -20px;
    transform: translateY(-50%);
}
.footer .link-area{
    width: 50%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 10px;
}
.footer .link-area li {
    display: flex;
    justify-content: space-between;
    flex: 1;
    background: #111;
    padding: 15px 20px;
    font-size: 14px;
    position: relative; 
}
.footer .link-area li::after {
    content: "\e980";
    font-family: 'xeicon';
    font-weight: normal;
    font-style: normal;
    padding-left: 10px;
}
.footer .link-area li:first-child:after{ content:"\eb7c"; }

.footer .footer-area{
    padding-top: 40px;
    display: flex;
    justify-content: space-between;
}
.footer .footer-area .copy{
    font-size: 14px;
    font-weight: 500;
    color: rgba(255, 255, 255, 0.4);
}
.footer .footer-area .blog-link{
    display: flex;
    justify-content: center;
    align-items: center;
    width: 35px;
    height: 35px;
    background: #222;
    border-radius: 50%;
    position: relative;
}
.footer .fix-top{
    background: none;
    border: none;
    position: absolute;
    top: 50px;
    right: 10px;
    font-size: 13px;
    font-weight: 700;
    color: #fff;
    letter-spacing: 5%;
    transform: rotate(90deg);
    padding: 20px;
    padding-left: 25px;
    outline: none;
}
.footer .fix-top::before {
    content: "\e909";
    font-family: 'xeicon';
    font-weight: normal;
    font-style: normal;
    font-size: 20px;
    position: absolute;
    top: 50%;
    left: 0;
    transform: translateY(-50%) rotate(-90deg);
}

/* 반응형 */
@media (max-width: 1740px) {
    .footer-inner {
        padding: 0 20px;
    }
}
@media (max-width: 1600px) {
    .header .logo {
        padding: 31px 30px;
    }
    .header .util-area{
        width: 130px;
    }
    .header .gnb .gnb-list li a{
        padding: 30px;
    }
}


@media (max-width: 1373px){
    
	.footer .link-area{
      display: grid;
      grid-template-columns: repeat(2,1fr);
     }
}
@media  (max-width: 1350px){
    .footer .footer-flex{ width: 100%; margin-top: 50px; }
}
@media (max-width: 1200px){
    .footer{
        padding: 50px 0;
    }
}
@media  (max-width: 1115px){
    .footer .footer-flex{ flex-direction: column; }
    .footer .footertext{width: 100%;}
	.footer .footer-flex .footertext{ padding-right: 0; padding-bottom: 20px; }
    .footer .link-area{
        display: flex;
        width: 100%;
    }
}
@media (max-width: 1100px) {
    .header .logo {
        padding: 25px 20px;
    }
    .header .gnb{
        display: none;
    }
    .header .util-area{
        display: none;
    }
    /* open */
    .header .btn-open{
        width: 66px;
        height: 66px;
        border-left: 1px solid rgba(255, 255, 255, 0.2);
        display: flex;
        flex-direction: column;;
        justify-content: center;
        align-items: center;
    }
    .header .btn-open span {
        width: 20px;
        height: 2px;
        background: #fff;
        transition: 0.5s;
        cursor: pointer;
    }
    .header .btn-open span +span{
        margin-top: 4px;
    }
     /* .header .fix  */
    .header.fix{
        background: #fff;
    }
    .header.fix .btn-open{
        border-left: 1px solid rgba(0, 0, 0, 0.06);
    }
    .header.fix .logo a{
        filter: invert(1);
    }
    .header.fix .btn-open span {
        background: #000;
    }
    
    /* .header .side-menu  */
    .header .side-menu{
        display: block;
        max-width: 500px;
        width: 100%;
        height: 100%;
        background: #fff;
        position: fixed;
        top: 0;
        right: 0;
        z-index: 20;
        transform: translateX(100%);
        transition:  0.3s 0.1s;
    }
    .header .side-menu.on{
        transform: translateX(0);
        opacity: 1;
        color: #000;
    }
    .header .side-menu .group-top{
        display: flex;
        justify-content: flex-end;
        text-align: right;
        border-bottom: 1px solid rgba(0, 0, 0, 0.06);
    }
    .header .side-menu .blog{
        width: 110px;
        height: 66px;
        display: flex;
        align-items: center;
        justify-content: center;
        position: relative;
        border-left: 1px solid rgba(0, 0, 0, 0.06);
        margin-right: 66px;
    }
    .header .side-menu .blog::after{
        content: "\e980";
        font-family: 'xeicon';
        font-weight: normal;
        font-style: normal;
        margin-left: 10px;
        color: #000;
    }
    /* close */
    .header .side-menu .btn-close{
        width: 66px;
        height: 66px;
        background: none;
        border: none;
        border-left: 1px solid rgba(0, 0, 0, 0.06);
        position: absolute;
        top: 0;
        right: 0;
        display: flex;
        justify-content: center;
        align-items: center;
    }
    .header .side-menu .btn-close span{
        width: 20px;
        height: 2px;
        background: #000;
        transform: rotate(45deg);
        position: relative;
        top: -2px;
    }
    .header .side-menu .btn-close span::before{
        content: "";
        width: 100%;
        height: 100%;
        background: #000;
        position: absolute;
        top: 48%;
        left: 50%;
        transform: translate(-50%, -50%) rotate(-90deg);
    }
    /* nav */
    .header .side-menu .side-nav{
        display: block;
        width: 100%;
    }
    .header .side-menu .nav-list{
        padding: 10px 0;
        display: flex;
        flex-direction: column;
    }
    .header .side-menu .nav-list .nav-item{
    }
    .header .side-menu .nav-list .nav-item >a{
        display: block;
        width: 100%;
        padding: 20px;
        font-size: 20px;
        font-weight: 600;
        color: #000;
        border-bottom: 1px solid rgba(0, 0, 0, 0.06);
        position: relative;

    }
    .header .side-menu .nav-list .nav-item:nth-child(1) > a::after,
    .header .side-menu .nav-list .nav-item:nth-child(2) > a::after {
        content: "\e941"; 
        font-family: 'xeicon';
        font-size: 16px;
        position: absolute;
        top: 50%;
        right: 20px;
        transform: translateY(-50%);
        transition: 0.5s;
    }
    .header .side-menu .nav-list .nav-item a.on::after {
        transform: translateY(-50%) rotate(-180deg);
      }
    .header .side-menu .side-nav .nav-list .sub{
        display: none;
        padding: 10px 0;
    }
    .header .side-menu .nav-list li.on .sub {
        display: block;
        border-bottom: 1px solid rgba(0, 0, 0, 0.06);
    }
    .header .side-menu .side-nav .nav-list .sub li a{
        display: block;
        padding: 10px 20px;
        font-size: 18px;
        font-weight: 400;
        color: #666;
    }
}


@media (max-width: 900px){
	.footer .footertext .text{ gap: 10px 20px; }
	.footer .link-area li{ padding: 13px 15px; }
	.footer .footer-area{ padding-top: 15px; }
}

@media screen and (max-width: 673px){
    .footer{text-align: center;}
	.footer .logo-area{display: flex; justify-content: center; }
	.footer .footertext .text{ justify-content: center; margin-right: -20px; } 
    .footer .footertext .text:first-child span::before {
        display: none;
    }
    .footer .footertext .text:nth-of-type(2) span:nth-of-type(3)::before {
        display: none;
    }
    .footer .footertext .text:nth-of-type(2) span:nth-of-type(4)::before {
        display: block;
    }
    .footer .footer-area{ flex-direction: column; align-items: center; }
    .footer .footer-area .blog-link{ margin-top: 15px; }

}
@media  (max-width: 673px){
    .footer .link-area{
        display: grid;
        grid-template-columns: repeat(2,1fr);
    }
}
  